Create Tokens
The tokenize API enables you to create multiple Token Management Service (TMS) token types such as instrument identifiers, payment instruments, and customer tokens. You can create these tokens individually or all together in a single request.
You can create these TMS tokens in a single request:
- Customer token
- Payment instrument
- Shipping address token
- Instrument identifier
For more information about token types, see Token Management Service Overview.
You can also create these tokens using the information that is retrieved from a transient token. For information on transient tokens, see the Microform and Unified Checkout developer guides.
Create an Instrument Identifier and Provision a Network Token
This section describes how to create an instrument identifier and provision a network token.
Endpoint
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
Example
{ "processingInformation": { "actionList": [ "TOKEN_CREATE" ], "actionTokenTypes": [ "instrumentIdentifier" ] }, "tokenInformation": { "instrumentIdentifier": { "type": "enrollable card", "card": { "number": "X622943123116478", "expirationMonth": "12", "expirationYear": "2026" } } }}{ "responses": [ { "resource": "instrumentIdentifier", "id": "7030140000043426478", "httpStatus": 200 }, { "resource": "tokenizedCard", "id": "386571D8C0640287E063AF598E0A15AA", "httpStatus": 200 } ]}Required Fields for Create an Instrument Identifier and Provision a Network Token
processingInformation.actionList
Set to TOKEN_CREATE.
processingInformation.actionTokenTypes.instrumentIdentifier
Required when you are creating an instrument identifier token.
tokenInformation.instrumentIdentifier.type
Set to enrollable card to provision a network token for the instrument identifier.
tokenInformation.instrumentIdentifier.card.number
Required when you are creating a payment instrument.
tokenInformation.instrumentIdentifier.card.expirationMonth
The card expiration month in two-digit format. For example, 12.
tokenInformation.instrumentIdentifier.card.expirationYear
The card expiration year in four-digit format. For example, 2026.
Create an Instrument Identifier and Provision a Network Token Using a Transient Token
This section describes how to create an instrument identifier and provision a network token using a transient token.
Endpoint
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
Example
{ "processingInformation": { "actionList": [ "TOKEN_CREATE" ], "actionTokenTypes": [ "instrumentIdentifier" ] }, "tokenInformation": { "type": "enrollable card", "transientTokenJwt": "{transientTokenJwtValue}" }}{ "responses": [ { "resource": "instrumentIdentifier", "id": "7030140000043426478", "httpStatus": 200 }, { "resource": "tokenizedCard", "id": "386571D8C0640287E063AF598E0A15AA", "httpStatus": 200 } ]}Required Fields for Create an Instrument Identifier and Provision a Network Token Using a Transient Token
processingInformation.actionList
Set to TOKEN_CREATE.
processingInformation.actionTokenTypes.instrumentIdentifier
Required when you are creating an instrument identifier token.
tokenInformation.instrumentIdentifier.type
Set to enrollable card to provision a network token for the instrument identifier.
tokenInformation.transientTokenJwt
Required when you are creating a payment instrument.
tokenInformation.instrumentIdentifier.card.number
The card number.
Create a Customer Payment Instrument
This section describes how to create a customer payment instrument. Customer tokens can contain instrument identifiers, payment instruments, and shipping address tokens.
Endpoint
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
Example
{ "processingInformation": { "actionList": [ "TOKEN_CREATE" ], "actionTokenTypes": [ "customer", "paymentInstrument", "instrumentIdentifier" ] }, "tokenInformation": { "customer": { "buyerInformation": { "merchantCustomerID": "Your customer identifier", "email": "[email protected]" }, "clientReferenceInformation": { "code": "TC50171_3" }, "merchantDefinedInformation": [ { "name": "data1", "value": "Your customer data" } ] }, "paymentInstrument": { "default": "true", "card": { "expirationMonth": "12", "expirationYear": "2031", "type": "001" }, "billTo": { "firstName": "John", "lastName": "Doe", "company": "Cybersource", "address1": "1 Market St", "locality": "San Francisco", "administrativeArea": "CA", "postalCode": "94105", "country": "US", "email": "[email protected]", "phoneNumber": "4158880000" } }, "instrumentIdentifier": { "type": "enrollable card", "card": { "number": "X622943123116478", "expirationMonth": "12", "expirationYear": "2026" } } }}{ "paymentInformation": { "card": { "type": "001" } }, "tokenInformation": { "instrumentIdentifierNew": false, "customer": { "id": "4DC6BB4C7353F90CE063AF598E0AEBE8" }, "instrumentIdentifier": { "id": "7034450000295211111", "state": "ACTIVE" }, "paymentInstrument": { "id": "4DC6C33114B31665E063AF598E0A87FF" }, "shippingAddress": { "id": "4DC6BF33FF03FB70E063AF598E0A1472" } }}Required Fields for Create a Customer Payment Instrument
processingInformation.actionList
Set to TOKEN_CREATE.
processingInformation.actionTokenTypes.customer
Required when you are creating a customer token.
processingInformation.actionTokenTypes.instrumentIdentifier
Required when you are creating an instrument identifier token.
processingInformation.actionTokenTypes.paymentInstrument
Required when you are creating a payment instrument.
tokenInformation.customer.buyerInformation.email
The customer's email address.
tokenInformation.customer.buyerInformation.merchantCustomerID
Your identifier for the customer.
tokenInformation.customer.clientReferenceInformation.code
Unique reference code for the transaction.
tokenInformation.customer.merchantDefinedInformation[].name
The name of the merchant-defined data field.
tokenInformation.customer.merchantDefinedInformation[].value
The value of the merchant-defined data field.
tokenInformation.instrumentIdentifier.card.expirationMonth
The card expiration month in two-digit format. For example, 12.
tokenInformation.instrumentIdentifier.card.expirationYear
The card expiration year in four-digit format. For example, 2026.
tokenInformation.instrumentIdentifier.card.number
The card number.
tokenInformation.instrumentIdentifier.type
Set to enrollable card to provision a network token for the instrument identifier.
tokenInformation.paymentInstrument.billTo.address1
The first line of the billing street address.
tokenInformation.paymentInstrument.billTo.administrativeArea
The state, province, or territory in the billing address. Use the two-character ISO code.
tokenInformation.paymentInstrument.billTo.company
The name of the customer's company.
tokenInformation.paymentInstrument.billTo.country
The country of the billing address. Use the two-character ISO Standard Country Code.
tokenInformation.paymentInstrument.billTo.email
The customer's email address associated with this billing address.
tokenInformation.paymentInstrument.billTo.firstName
The customer's first name.
tokenInformation.paymentInstrument.billTo.lastName
The customer's last name.
tokenInformation.paymentInstrument.billTo.locality
The city in the billing address.
tokenInformation.paymentInstrument.billTo.phoneNumber
The customer's phone number.
tokenInformation.paymentInstrument.billTo.postalCode
The postal code in the billing address.
tokenInformation.paymentInstrument.card.expirationMonth
The card expiration month in two-digit format. For example, 12.
tokenInformation.paymentInstrument.card.expirationYear
The card expiration year in four-digit format. For example, 2031.
tokenInformation.paymentInstrument.card.type
The card type code. For example, 001 for Visa.
tokenInformation.paymentInstrument.default
Set to true to designate this as the default payment instrument for the customer.
Create a Token with a Request ID
This section describes how to create tokens using a request ID from a successful payment request. You can use this API to create instrument identifiers, payment instruments, customer, and shipping address tokens in a single request.
Endpoint
POST /tms/services/v1/payments/{requestID}/tokenize
POST /tms/services/v1/payments/{requestID}/tokenize
POST /tms/services/v1/payments/{requestID}/tokenize
POST /tms/services/v1/payments/{requestID}/tokenize
POST /tms/services/v1/payments/{requestID}/tokenize
{requestID} is the request ID that is returned in the response of a successful payment request.
Example
{ "processingInformation": { "actionList": [ "TOKEN_CREATE" ], "actionTokenTypes": [ "instrumentIdentifier", "paymentInstrument", "customer", "shippingAddress" ] }}{ "paymentInformation": { "card": { "type": "001" } }, "tokenInformation": { "instrumentIdentifierNew": false, "customer": { "id": "4DC6BB4C7353F90CE063AF598E0AEBE8" }, "instrumentIdentifier": { "id": "7034450000295211111", "state": "ACTIVE" }, "paymentInstrument": { "id": "4DC6C33114B31665E063AF598E0A87FF" }, "shippingAddress": { "id": "4DC6BF33FF03FB70E063AF598E0A1472" } }}Required Fields for Create a Token with a Request ID
processingInformation.actionList
Set to TOKEN_CREATE.
processingInformation.actionTokenTypes.customer
Required when you are creating a customer token.
processingInformation.actionTokenTypes.instrumentIdentifier
Required when you are creating an instrument identifier token.
processingInformation.actionTokenTypes.shippingAddress
Required when you are creating a shipping address token.
processingInformation.actionTokenTypes.paymentInstrument
Required when you are creating a payment instrument.
Provision a Network Token Using a Transient Token
This section describes how to provision a network token using a transient token.
Endpoint
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
POST /tms/v2/tokenize
Example
{ "processingInformation": { "actionList": [ "TOKEN_CREATE" ], "actionTokenTypes": [ "tokenizedCard" ] }, "tokenInformation": { "tokenizedCard": { "source": "ONFILE" }, "transientTokenJwt": "transientTokenJwt" }}{ "responses": [ { "resource": "tokenizedCard", "id": "386571D8C0640287E063AF598E0A15AA", "httpStatus": 200 } ]}Required Fields for Provision a Network Token Using a Transient Token
processingInformation.actionList
Set to TOKEN_CREATE.
processingInformation.actionTokenTypes.tokenizedCard
Required when you are creating a network token.
source
Set to ONFILE.
tokenInformation.transientTokenJwt
The transient token JWT value from Microform or Unified Checkout.
Thanks for your feedback!
Last published: October 28, 2026